MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025328Open CASCADE[OCCT] OCCT:Visualizationpublic2014-10-06 12:392015-05-14 15:32
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.9.0Fixed in Version[OCCT] 6.9.0 
Summary0025328: Visualization, TKOpenGl - support text rendering within built-in GLSL programs
DescriptionIt is required to provide GLSL program for text rendering.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0024381closedbugmaster Visualization, TKOpenGl - revise matrices stack and usage of temporary matrices 
child of 0025146closedbugmaster Porting to Android 
child of 0025282closedbugmaster Visualization, OpenGl_PrimitiveArray - provide built-in GLSL programs as alternative to FFP 

-  Notes
(0036116)
git (administrator)
2015-01-15 17:24

Branch CR25328 has been created by dbp.

SHA-1: 61bb8f11c5953bc84559cf5742a37e2f08c38c82


Detailed log of new commits:

Author: dbp
Date: Thu Jan 15 17:24:23 2015 +0300

    0025328: Visualization, TKOpenGl - support text rendering within built-in GLSL programs
(0036117)
dbp (developer)
2015-01-15 17:25

Dear kgv,

please review the patch in branch CR25328.
(0036250)
git (administrator)
2015-01-20 12:57

Branch CR25328_1 has been created by kgv.

SHA-1: e1da0ac6df1f00c21f4643c799f30aa1cd6db20c


Detailed log of new commits:

Author: dbp
Date: Tue Jan 20 12:56:54 2015 +0300

    0025328: Visualization, TKOpenGl - support text rendering within built-in GLSL programs
(0036251)
kgv (developer)
2015-01-20 12:58

Please test the patch in branch CR25328_1.

Note that the patch is incomplete - new issue to be registered to complete porting to OpenGL ES 2.0.
(0036913)
git (administrator)
2015-01-30 16:52

Branch CR25328_1 has been updated forcibly by mkv.

SHA-1: 64884feb49d13c4928cf1df3b33660e50a600d8f
(0037020)
mkv (tester)
2015-02-03 14:06

Dear BugMaster,
Branch CR25328_1 was rebased on current master of occt git-repository.
(0037021)
mkv (tester)
2015-02-03 14:06

Dear BugMaster,
Branch CR25328_1 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 64884feb49d13c4928cf1df3b33660e50a600d8f

Number of compiler warnings:

occt component :
Linux: 18 (18 on master)
Windows: 0 (0 on master)

products component :
Linux: 11 (11 on master)
Windows: 1 (1 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
occt component :
Total MEMORY difference: 369817476 / 370076844
Total CPU difference: 54182.39999999994 / 49863.81000000002
products component :
Total MEMORY difference: 110214980 / 110223764
Total CPU difference: 16722.11 / 15770.609999999973

Testing on Windows:
occt component :
Total MEMORY difference: 275772060 / 276284192
Total CPU difference: 42136.609375 / 36894.109375
products component :
Total MEMORY difference: 72345792 / 71401072
Total CPU difference: 12842.421875 / 11731.96875

There are no differences in images found by testdiff.
(0037478)
git (administrator)
2015-02-13 10:28

Branch CR25328 has been deleted by kgv.

SHA-1: 61bb8f11c5953bc84559cf5742a37e2f08c38c82
(0037479)
git (administrator)
2015-02-13 10:28

Branch CR25328_1 has been deleted by kgv.

SHA-1: 64884feb49d13c4928cf1df3b33660e50a600d8f

- Related Changesets
occt: master b990e557
Timestamp: 2015-01-20 09:56:54
Author: dbp
Committer: bugmaster
Details ] Diff ]
0025328: Visualization, TKOpenGl - support text rendering within built-in GLSL programs
mod - src/OpenGl/OpenGl_ShaderManager.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Text.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-10-06 12:39 kgv New Issue
2014-10-06 12:39 kgv Assigned To => kgv
2014-10-06 12:39 kgv Assigned To kgv => dbp
2014-10-06 12:39 kgv Status new => assigned
2014-10-06 12:39 kgv Relationship added child of 0025146
2014-10-06 12:40 kgv Relationship added related to 0024381
2014-10-27 15:43 kgv Target Version 6.8.0 => 7.1.0
2014-12-01 09:55 kgv Relationship added child of 0025282
2015-01-15 17:24 git Note Added: 0036116
2015-01-15 17:25 dbp Note Added: 0036117
2015-01-15 17:25 dbp Assigned To dbp => kgv
2015-01-15 17:25 dbp Status assigned => feedback
2015-01-20 12:57 git Note Added: 0036250
2015-01-20 12:58 kgv Note Added: 0036251
2015-01-20 12:58 kgv Assigned To kgv => bugmaster
2015-01-20 12:58 kgv Status feedback => reviewed
2015-01-20 12:59 kgv Target Version 7.1.0 => 6.9.0
2015-01-30 14:43 mkv Assigned To bugmaster => mkv
2015-01-30 16:52 git Note Added: 0036913
2015-02-03 14:06 mkv Note Added: 0037020
2015-02-03 14:06 mkv Note Added: 0037021
2015-02-03 14:08 mkv Test case number => Not needed
2015-02-03 14:08 mkv Assigned To mkv => bugmaster
2015-02-03 14:08 mkv Status reviewed => tested
2015-02-06 15:38 bugmaster Changeset attached => occt master b990e557
2015-02-06 15:38 bugmaster Status tested => verified
2015-02-06 15:38 bugmaster Resolution open => fixed
2015-02-13 10:28 git Note Added: 0037478
2015-02-13 10:28 git Note Added: 0037479
2015-05-14 15:29 aiv Status verified => closed
2015-05-14 15:32 aiv Fixed in Version => 6.9.0


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker